Bug 1531351 (CVE-2017-1000445) - CVE-2017-1000445 imagemagick: NULL pointer dereference in MagickCore component can lead to a denial of service
Summary: CVE-2017-1000445 imagemagick: NULL pointer dereference in MagickCore componen...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-1000445
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1531352
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-05 01:13 UTC by Sam Fowler
Modified: 2019-09-29 14:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:36:15 UTC
Embargoed:


Attachments (Terms of Use)

Description Sam Fowler 2018-01-05 01:13:13 UTC
ImageMagick 7.0.7-1 and older version are vulnerable to null pointer dereference
in the MagickCore component and might lead to denial of service.

References
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-1000445
http://people.canonical.com/~ubuntu-security/cve/2017/CVE-2017-1000445.html
https://github.com/ImageMagick/ImageMagick/issues/775
https://github.com/ImageMagick/ImageMagick/commit/839a14e43d0c88db7b3fffe8aa4ec57d80c93623

Comment 1 Sam Fowler 2018-01-05 01:13:33 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1531352]


Note You need to log in before you can comment on or make changes to this bug.